/* -*- Mode: java; tab-width: 8; indent-tabs-mode: nil; c-basic-offset: 4 -*-
 *
 * The contents of this file are subject to the Netscape Public License
 * Version 1.0 (the "NPL"); you may not use this file except in
 * compliance with the NPL.  You may obtain a copy of the NPL at
 * http://www.mozilla.org/NPL/
 *
 * Software distributed under the NPL is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the NPL
 * for the specific language governing rights and limitations under the
 * NPL.
 *
 * The Initial Developer of this code under the NPL is Netscape
 * Communications Corporation.  Portions created by Netscape are
 * Copyright (C) 1997-1999 Netscape Communications Corporation.  All Rights
 * Reserved.
 */


package org.mozilla.javascript;

/**
 *
 * The class of error objects
 *
 *  ECMA 15.11
 */
public class NativeError extends ScriptableObject {

    public NativeError()
    {
    }
    
    public String getClassName()    { return "Error"; }

    public String jsFunction_toString()
    {
          return ScriptRuntime.toString(ScriptRuntime.getProp(this, "name", this))
                    + " " 
                    + ScriptRuntime.toString(ScriptRuntime.getProp(this, "message", this));
    }
    
    public static void finishInit(Scriptable scope, FunctionObject ctor,
                                  Scriptable proto)
        throws PropertyException
    {
        ((ScriptableObject) proto).defineProperty("message", "", 
                                                    ScriptableObject.EMPTY);
        ((ScriptableObject) proto).defineProperty("name", "Error", 
                                                    ScriptableObject.EMPTY);
    }

}
